Issue1497

classification
Title: ast classes do not have appropiate base classes
Type: behaviour Severity: normal
Components: Core Versions: Jython 2.7
process
Status: open Resolution: accepted
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: Arfrever, fwierzbicki, gutworth, hpk, zyasoft
Priority: normal Keywords:

Created on 2009-10-27.21:01:06 by gutworth, last changed 2013-02-19.18:51:08 by fwierzbicki.

Messages
msg5276 (view) Author: Benjamin Peterson (gutworth) Date: 2009-10-27.21:01:06
$ ./dist/bin/jython
Jython 2.5.1+ (trunk:6914, Oct 27 2009, 15:50:22)
[Java HotSpot(TM) Server VM (Sun Microsystems Inc.)] on java1.6.0_14
Type "help", "copyright", "credits" or "license" for more information.
>>> import ast
>>> ast.expr.__bases__
(<type '_ast.AST'>,)
>>> ast.Name.__bases__
(<type '_ast.AST'>,)
>>> ast.For.__bases__
(<type '_ast.AST'>,)

$ python
Python 2.6.2 (release26-maint, Apr 19 2009, 01:56:41)
[GCC 4.3.3] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import ast
>>> ast.expr.__bases__
(<type '_ast.AST'>,)
>>> ast.Name.__bases__
(<class '_ast.expr'>,)
>>> ast.For.__bases__
(<class '_ast.stmt'>,)
msg5277 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2009-10-27.22:55:04
I have a fix in mind for this and other ast.py incompatibilities. My
current implementation is based on a fundemental mistake: I use the same
ast for internals as I use for ast.py. I plan to create a pure Python
ast for ast.py and make the internal ast a pure antlr beast (not a
PyObject). Making ast.py much more compatible should be easy from there.
It's a medium sized project though -- will probably be a few weeks
before I can get to it.
msg6072 (view) Author: Jim Baker (zyasoft) Date: 2010-09-20.18:49:19
Deferring to 2.6
msg6526 (view) Author: Benjamin Peterson (gutworth) Date: 2011-05-17.19:50:44
Any chance of having this fixed soon?
History
Date User Action Args
2013-02-19 18:51:08fwierzbickisetversions: + Jython 2.7, - Deferred
2012-11-07 09:10:01hpksetnosy: + hpk
2012-10-23 21:44:22Arfreversetnosy: + Arfrever
2011-05-17 19:50:45gutworthsetmessages: + msg6526
2010-09-20 18:49:19zyasoftsetpriority: high -> normal
nosy: + zyasoft
messages: + msg6072
versions: + Deferred, - 25rc4
2009-10-27 22:55:05fwierzbickisetpriority: high
resolution: accepted
messages: + msg5277
2009-10-27 22:06:14pjenveysetassignee: fwierzbicki
nosy: + fwierzbicki
2009-10-27 21:01:06gutworthcreate